> For a complete page index, fetch https://developer.close.com/llms.txt

# List Forms

GET https://api.close.com/api/v1/form/

List all forms and their published field definitions for your organization.

Reference: https://developer.close.com/api/resources/forms/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `is_archived` (boolean, optional) — Filter by archive status.
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `data` (list of Form, required)
- `has_more` (boolean, required)

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Types

### Form

- `date_created` (datetime, required)
- `date_updated` (datetime, required)
- `field_definitions` (list of FormFieldDefinition, required)
- `id` (string, required)
- `is_archived` (boolean, required)
- `name` (string, required)
- `organization_id` (string, required)

### FormFieldDefinition

- `choices` (list of FormFieldChoice, required, nullable)
- `id` (string, required)
- `name` (string, required)
- `type` (string, required)

### FormFieldChoice

- `label` (string, required)
- `value` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "date_created": "2024-01-15T10:00:00+00:00",
      "date_updated": "2024-03-01T12:30:00+00:00",
      "field_definitions": [
        {
          "choices": null,
          "id": "formfld_def456",
          "name": "name",
          "type": "text"
        },
        {
          "choices": null,
          "id": "formfld_def789",
          "name": "email",
          "type": "email"
        },
        {
          "choices": [
            {
              "label": "Sales",
              "value": "sales"
            },
            {
              "label": "Support",
              "value": "support"
            }
          ],
          "id": "formfld_defabc",
          "name": "interest",
          "type": "select"
        }
      ],
      "id": "form_abc123",
      "is_archived": false,
      "name": "Contact Us",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python forms_list_example
import requests

url = "https://api.close.com/api/v1/form/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript forms_list_example
const url = 'https://api.close.com/api/v1/form/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go forms_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/form/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby forms_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/form/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java forms_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/form/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php forms_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/form/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp forms_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/form/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```